Disposable (ActiveIO 1.0 API)
Keywords: org.activeio.Disposable interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.activeio
Interface Disposable

All Known Subinterfaces:
  AsynchChannel, AsynchChannelServer, Channel, ChannelServer, InputAsynchChannel, InputSynchChannel, OutputChannel, Packet, RequestChannel, SynchChannel, SynchChannelServer

All Known Implementing Classes:
  AIOAsynchChannel, AIOSynchChannelServer, AppendedPacket, AsynchChannelToClientRequestChannel, AsynchChannelToConcurrentRequestChannel, AsynchChannelToServerRequestChannel, AsynchToSynchChannelAdapter, AsynchToSynchChannelServerAdapter, ByteArrayPacket, ByteBufferPacket, BytePacket, ControlFile, DatagramSocketSynchChannel, EmptyPacket, EOSPacket, FilterAsynchChannel, FilterAsynchChannelServer, FilterPacket, FilterSynchChannel, FilterSynchChannelServer, JournalImpl, LogFile, NIOAsynchChannel, NIOBaseChannel, NIOSynchChannel, Record, SocketSynchChannel, SocketSynchChannelServer, SynchToAsynchChannelAdapter, SynchToAsynchChannelServerAdapter, VMPipeAsynchChannelFactory.ClassloaderAsynchChannelAdapter, VMPipeAsynchChannelPipe.PipeChannel, VMPipeAsynchChannelServer

public interface Disposable

The Disposable interface is implemented by objects the aquire resources whoes life cycle must be managed. Once a Disposable has been disposed, it cannot be un-disposed.

Version:
  $Revision$

Method Summary
`void` | `dispose()` This method should not throw any exceptions.

Method Detail

### dispose

    public void dispose()

  This method should not throw any exceptions. Cleaning up a Disposable object should be easy of an end user therefore do not make him have to handle an Exception.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © -2005 The ActiveIO Project. All Rights Reserved.